//
//  dpndenv.c
//  Functions which depend on the environment.
//  AI002
//
//  Created by 西田　耀 on 13/01/01.
//  Copyright (c) 2013年 Hikaru Nishida. All rights reserved.
//

//includes
//+---depend on the environment
#include <unistd.h>
//+-------int chdir(const char *path);  カレントディレクトリの変更
//+-------char *getcwd(char *buf, size_t size); 現在のカレントディレクトリを取得

#include "core.h"

void AI_Environment_SetCurrentWorkingDirectory(const char apppath[])
{
    char path[FILENAME_MAX];
    int i, last;
    
    //カレントディレクトリを実行ファイルのディレクトリに変更
    snprintf(path, sizeof(path), "%s", apppath);
    last = 0;
    for(i = 0; i < FILENAME_MAX; i++){
        if(path[i] == '\0'){
            break;
        }
        if(path[i] == '/'){
            last = i;
        }
    }
    path[last + 1] = '\0';
    printf("%s\n", path);
    chdir(path);
    getcwd(path, sizeof(path));
    printf("%s\n", path);
    
    return;
}
